package de.ivu.elect.business.wahl.entity;

public enum WahlErgebniseingangUebernahmeManuell {

  DEAKTIVIERT {
    @Override
    public boolean isErsteEingabeEndgueltigMitLetzterVorlaeufigVorbelegen() {
      return false;
    }

    @Override
    public boolean isLetzteVorlaeufigeMussGueltigSein() {
      return false;
    }
  },
  ENDGUELTIG_VORBELEGEN_LETZTE_VORLAEUFIGE_WENN_GUELTIG {
    @Override
    public boolean isErsteEingabeEndgueltigMitLetzterVorlaeufigVorbelegen() {
      return true;
    }

    @Override
    public boolean isLetzteVorlaeufigeMussGueltigSein() {
      return true;
    }
  },
  ENDGUELTIG_VORBELEGEN_LETZTE_VORLAEUFIGE {
    @Override
    public boolean isErsteEingabeEndgueltigMitLetzterVorlaeufigVorbelegen() {
      return true;
    }

    @Override
    public boolean isLetzteVorlaeufigeMussGueltigSein() {
      return false;
    }
  }
;
  public abstract boolean isErsteEingabeEndgueltigMitLetzterVorlaeufigVorbelegen();

  public abstract boolean isLetzteVorlaeufigeMussGueltigSein();

}
